package cn.com.ctop.crawler.modules.core.service;

import cn.com.ctop.crawler.modules.account.entity.KuaishouAdAccount;
import cn.com.ctop.crawler.modules.account.entity.KuaishouAppAccount;
import cn.com.ctop.crawler.modules.account.entity.KuaishouIosAccount;

public interface IKuaishouCrawlerService {
    String getVideoFeeds(KuaishouAppAccount kuaishouAppAccount,Integer page);
    String getVideoFeeds(KuaishouIosAccount kuaishouIosAccount);
    String getAdAccountVideoFeeds(KuaishouAdAccount kuaishouAdAccount,String pcursor);
    String getAdFeeds();
    String getUserProfile(Long userId);
}
